Bug 152219 - Error on Yum Update to control-center-2.9.91-1.i386
Error on Yum Update to control-center-2.9.91-1.i386
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-26 10:43 EST by Joe Reid
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 10:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Reid 2005-03-26 10:43:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050325 Firefox/1.0.2 Fedora/1.0.2-2

Description of problem:
When upgrading via yum, I recieved the following errors:


  Updating  : control-center               ####################### [ 8/75]
/var/tmp/rpm-tmp.51642: line 9: [-x: command not found

  Cleanup   : control-center               ####################### [59/75]
/sbin/ldconfig: relative path `2' used to build cache
error: %postun(control-center-2.9.91-1.i386) scriptlet failed, exit status 1

Package seems to have been installed anyway, not sure if this is critical or not, althought it looks like it didn't remove the old contol center package:
(After re-boot, just to be sure:

[root@bean joe]# rpm -q control-center
control-center-2.9.91-1
control-center-2.10.0-2
[root@bean joe]#


Version-Release number of selected component (if applicable):
control-center-2.9.91-1.i386

How reproducible:
Didn't try

Steps to Reproduce:
1. yum update today on FC4T1
  

Additional info:
Comment 1 Dwaine Garden 2005-03-26 11:48:11 EST
Just confirming that it is happening on multiple packages.

Running Transaction
  Updating  : system-config-language       ##################### [  1/111]
/var/tmp/rpm-tmp.45237: line 2: [-x: command not found
  Updating  : glibc-common                 ##################### [  2/111]
  Updating  : glibc                        ##################### [  3/111]
Stopping sshd: [  OK  ]
Starting sshd: [  OK  ]
  Updating  : gnome-panel                  ##################### [  4/111]
/var/tmp/rpm-tmp.64250: line 2: [-x: command not found
  Updating  : pam                          ##################### [  5/111]
  Updating  : spamassassin                 ##################### [  6/111]
  Updating  : gnome-netstatus              ##################### [  7/111]
/var/tmp/rpm-tmp.63790: line 7: [-x: command not found
  Updating  : system-config-securitylevel- ##################### [  8/111]
  Updating  : net-snmp-libs                ##################### [  9/111]
  Updating  : glibc-headers                ##################### [ 10/111]
  Updating  : vim-common                   ##################### [ 11/111]
  Updating  : evolution                    ##################### [ 12/111]
  Updating  : control-center               ##################### [ 13/111]
/var/tmp/rpm-tmp.42591: line 9: [-x: command not found
  Updating  : gimp                         ##################### [ 14/111]
/var/tmp/rpm-tmp.98901: line 7: [-x: command not found
  Updating  : gphoto2                      ##################### [ 15/111]
  Updating  : dia                          ##################### [ 16/111]
  Updating  : system-config-samba          ##################### [ 17/111]
/var/tmp/rpm-tmp.56463: line 2: [-x: command not found
  Updating  : vim-enhanced                 ##################### [ 18/111]
  Updating  : system-config-keyboard       ##################### [ 19/111]
/var/tmp/rpm-tmp.46167: line 2: [-x: command not found
  Updating  : system-config-soundcard      ##################### [ 20/111]
/var/tmp/rpm-tmp.51675: line 2: [-x: command not found
  Updating  : system-config-users          ##################### [ 21/111]
/var/tmp/rpm-tmp.4826: line 2: [-x: command not found
  Updating  : vim-minimal                  ####################  [ 22/111]warnin
g: /etc/vimrc created as /etc/vimrc.rpmnew
  Updating  : vim-minimal                  ##################### [ 22/111]
  Updating  : libgfortran                  ##################### [ 23/111]
  Updating  : gdm                          ##################### [ 24/111]
/var/tmp/rpm-tmp.32246: line 4: [-x: command not found
  Updating  : gconf-editor                 ##################### [ 25/111]
/var/tmp/rpm-tmp.44552: line 3: [-x: command not found
  Updating  : gdb                          ##################### [ 26/111]
  Updating  : gzip                         ##################### [ 27/111]
  Updating  : selinux-policy-targeted      ##################### [ 28/111]
  Updating  : net-snmp                     ##################### [ 29/111]
  Updating  : system-config-rootpassword   ##################### [ 30/111]
/var/tmp/rpm-tmp.45220: line 2: [-x: command not found
  Updating  : nscd                         ##################### [ 31/111]
  Updating  : gnome-panel-devel            ##################### [ 32/111]
  Updating  : jwhois                       ##################### [ 33/111]
  Updating  : gnome-applets                ##################### [ 34/111]
/usr/share/gnome/help/stickynotes_applet/C/stickynotes_applet.xml:228: element f
igure: validity error : ID stickynotes-using-left-fig already defined
  <figure id="stickynotes-using-left-fig">
                                         ^
/usr/share/gnome/help/char-palette/C/char-palette.xml:298: element figure: valid
                                            ity error : ID applet-fig already
defined
        <figure id="applet-fig">
                               ^
/var/tmp/rpm-tmp.56050: line 4: [-x: command not found
  Updating  : system-config-display        ##################### [ 35/111]
/var/tmp/rpm-tmp.21459: line 2: [-x: command not found
  Updating  : firefox                      ##################### [ 36/111]
  Updating  : xchat                        ##################### [ 37/111]
  Updating  : system-config-nfs            ##################### [ 38/111]
/var/tmp/rpm-tmp.52288: line 2: [-x: command not found
  Updating  : slocate                      ##################### [ 39/111]
  Updating  : talk                         ##################### [ 40/111]
  Updating  : lsof                         ##################### [ 41/111]
  Updating  : selinux-policy-strict        ##################### [ 42/111]
  Updating  : system-config-securitylevel  ##################### [ 43/111]
/var/tmp/rpm-tmp.48619: line 2: [-x: command not found
  Updating  : gnome-terminal               ##################### [ 44/111]
WARNING: Failed to parse default value `(यटिएफ-८,वरतमान)' for schema (/schemas/a
                                           
pps/gnome-terminal/global/active_encodings)
  Updating  : vim-X11                      ##################### [ 45/111]
  Updating  : hicolor-icon-theme           ##################### [ 46/111]
/var/tmp/rpm-tmp.2063: line 2: [-x: command not found
  Updating  : tvtime                       ##################### [ 47/111]
/var/tmp/rpm-tmp.51811: line 2: [-x: command not found
  Updating  : tcsh                         ##################### [ 48/111]
  Updating  : pam-devel                    ##################### [ 49/111]
  Updating  : system-config-date           ##################### [ 50/111]
/var/tmp/rpm-tmp.32178: line 2: [-x: command not found
  Updating  : system-config-services       ##################### [ 51/111]
/var/tmp/rpm-tmp.30814: line 2: [-x: command not found
  Updating  : vnc-server                   ##################### [ 52/111]
  Updating  : system-config-kickstart      ##################### [ 53/111]
/var/tmp/rpm-tmp.6006: line 2: [-x: command not found
  Updating  : glibc-devel                  ##################### [ 54/111]
  Updating  : a2ps                         ##################### [ 55/111]
  Cleanup   : pam                          ##################### [ 56/111]
  Cleanup   : system-config-samba          ##################### [ 57/111]
  Cleanup   : vim-enhanced                 ##################### [ 58/111]
  Cleanup   : spamassassin                 ##################### [ 59/111]
  Cleanup   : system-config-securitylevel- ##################### [ 60/111]
  Cleanup   : system-config-keyboard       ##################### [ 61/111]
  Cleanup   : system-config-soundcard      ##################### [ 62/111]
  Cleanup   : system-config-users          ##################### [ 63/111]
  Cleanup   : vim-minimal                  ##################### [ 64/111]
  Cleanup   : libgfortran                  ##################### [ 65/111]
  Cleanup   : gdm                          ##################### [ 66/111]
  Cleanup   : net-snmp-libs                ##################### [ 67/111]
  Cleanup   : system-config-language       ##################### [ 68/111]
  Cleanup   : gconf-editor                 ##################### [ 69/111]
  Cleanup   : gdb                          ##################### [ 70/111]
  Cleanup   : gzip                         ##################### [ 71/111]
  Cleanup   : selinux-policy-targeted      ##################### [ 72/111]
  Cleanup   : glibc                        ##################### [ 73/111]
  Cleanup   : net-snmp                     ##################### [ 74/111]
  Cleanup   : system-config-rootpassword   ##################### [ 75/111]
  Cleanup   : nscd                         ##################### [ 76/111]
  Cleanup   : gnome-panel-devel            ##################### [ 77/111]
  Cleanup   : jwhois                       ##################### [ 78/111]
  Cleanup   : gnome-applets                ##################### [ 79/111]
  Cleanup   : glibc-headers                ##################### [ 80/111]
  Cleanup   : system-config-display        ##################### [ 81/111]
  Cleanup   : firefox                      ##################### [ 82/111]
  Cleanup   : xchat                        ##################### [ 83/111]
  Cleanup   : system-config-nfs            ##################### [ 84/111]
  Cleanup   : gnome-netstatus              ##################### [ 85/111]
  Cleanup   : control-center               ##################### [ 86/111]
/sbin/ldconfig: relative path `1' used to build cache
error: %postun(control-center-2.10.0-1.i386) scriptlet failed, exit status 1
  Cleanup   : slocate                      ##################### [ 87/111]
  Cleanup   : gimp                         ##################### [ 88/111]
  Cleanup   : talk                         ##################### [ 89/111]
  Cleanup   : glibc-common                 ##################### [ 90/111]
  Cleanup   : lsof                         ##################### [ 91/111]
  Cleanup   : selinux-policy-strict        ##################### [ 92/111]
  Cleanup   : system-config-securitylevel  ##################### [ 93/111]
  Cleanup   : gnome-terminal               ##################### [ 94/111]
  Cleanup   : gphoto2                      ##################### [ 95/111]
  Cleanup   : vim-X11                      ##################### [ 96/111]
  Cleanup   : gnome-panel                  ##################### [ 97/111]
  Cleanup   : hicolor-icon-theme           ##################### [ 98/111]
  Cleanup   : dia                          ##################### [ 99/111]
  Cleanup   : tvtime                       ##################### [100/111]
  Cleanup   : tcsh                         ##################### [101/111]
  Cleanup   : pam-devel                    ##################### [102/111]
  Cleanup   : system-config-date           ##################### [103/111]
  Cleanup   : system-config-date           ##################### [104/111]
  Cleanup   : system-config-services       ##################### [105/111]
  Cleanup   : vnc-server                   ##################### [106/111]
  Cleanup   : system-config-kickstart      ##################### [107/111]
  Cleanup   : vim-common                   ##################### [108/111]
  Cleanup   : glibc-devel                  ##################### [109/111]
  Cleanup   : evolution                    ##################### [110/111]
  Cleanup   : a2ps                         ##################### [111/111]
Comment 2 Joe Reid 2005-03-26 13:04:56 EST
Yeah, It's happening on multiple packages with me as well, I just havn't gotten
around to filing any of the rest of them yet. 

Running Transaction
  Updating  : system-config-language       ####################### [ 1/75]
/var/tmp/rpm-tmp.43560: line 2: [-x: command not found
  Updating  : gnome-panel                  ####################### [ 4/75]
/var/tmp/rpm-tmp.27169: line 2: [-x: command not found
  Updating  : gnome-netstatus              ####################### [ 5/75]
/var/tmp/rpm-tmp.45114: line 7: [-x: command not found
  Updating  : system-config-securitylevel- ####################### [ 6/75]
  Updating  : control-center               ####################### [ 8/75]
/var/tmp/rpm-tmp.51642: line 9: [-x: command not found
  Updating  : gimp                         ####################### [ 9/75]
/var/tmp/rpm-tmp.19816: line 7: [-x: command not found
  Updating  : system-config-samba          ####################### [10/75]
/var/tmp/rpm-tmp.28066: line 2: [-x: command not found
  Updating  : glibc-devel                  ####################### [11/75]
  Updating  : system-config-keyboard       ####################### [12/75]
/var/tmp/rpm-tmp.46100: line 2: [-x: command not found
  Updating  : system-config-soundcard      ####################### [13/75]
/var/tmp/rpm-tmp.13607: line 2: [-x: command not found
  Updating  : system-config-users          ####################### [14/75]
/var/tmp/rpm-tmp.35528: line 2: [-x: command not found
  Updating  : gdm                          ####################### [15/75]
/var/tmp/rpm-tmp.97586: line 4: [-x: command not found
  Updating  : system-config-nfs            ####################### [16/75]
/var/tmp/rpm-tmp.9567: line 2: [-x: command not found
  Updating  : system-config-display        ####################### [17/75]
/var/tmp/rpm-tmp.87905: line 2: [-x: command not found
  Updating  : system-config-rootpassword   ####################### [18/75]
/var/tmp/rpm-tmp.87027: line 2: [-x: command not found
  Updating  : vnc                          ####################### [19/75]
/var/tmp/rpm-tmp.87027: line 2: [-x: command not found
  Updating  : gnome-applets                ####################### [22/75]
/usr/share/gnome/help/char-palette/C/char-palette.xml:298: element figure:
validity error : ID applet-fig already defined
        <figure id="applet-fig">
                               ^
/usr/share/gnome/help/stickynotes_applet/C/stickynotes_applet.xml:228: element
figure: validity error : ID stickynotes-using-left-fig already defined
  <figure id="stickynotes-using-left-fig">
                                         ^
/var/tmp/rpm-tmp.72918: line 4: [-x: command not found
  Updating  : xchat                        ####################### [23/75]
  Updating  : gconf-editor                 ####################### [24/75]
/var/tmp/rpm-tmp.21391: line 3: [-x: command not found
  Updating  : slocate                      ####################### [25/75]
  Updating  : talk                         ####################### [26/75]
  Updating  : system-config-securitylevel  ####################### [27/75]
/var/tmp/rpm-tmp.72445: line 2: [-x: command not found
  Updating  : gnome-terminal               ####################### [28/75]
WARNING: Failed to parse default value `(युटिएफ-८,वर्तमान)' for schema
(/schemas/apps/gnome-terminal/global/active_encodings)
  Updating  : eclipse-ecj                  ####################### [29/75]
  Updating  : desktop-printing             ####################### [30/75]
/var/tmp/rpm-tmp.11168: line 2: [-x: command not found
  Updating  : hicolor-icon-theme           ####################### [31/75]
/var/tmp/rpm-tmp.11168: line 2: [-x: command not found
  Updating  : tvtime                       ####################### [32/75]
/var/tmp/rpm-tmp.65614: line 2: [-x: command not found
  Updating  : tcsh                         ####################### [33/75]
  Updating  : system-config-date           ####################### [34/75]
/var/tmp/rpm-tmp.4164: line 2: [-x: command not found
  Updating  : system-config-services       ####################### [35/75]
/var/tmp/rpm-tmp.73799: line 2: [-x: command not found
  Updating  : vnc-server                   ####################### [36/75]
  Updating  : system-config-kickstart      ####################### [37/75]
/var/tmp/rpm-tmp.14307: line 2: [-x: command not found
  Cleanup   : control-center               ####################### [59/75]
/sbin/ldconfig: relative path `2' used to build cache
error: %postun(control-center-2.9.91-1.i386) scriptlet failed, exit status 1

I cut out a lot of the non-problem packages.
Comment 3 John Thacker 2005-04-27 23:59:41 EDT
There have been separate bugs made for all these packages.  Most of them are
fixed and closed now.  (Except the gnome-terminal one perhaps and the
gnome-applets one which is an upstream problem).  Bugs 152224-152244.  So this
bug can be closed as a duplicate of the individual package bugs.  Pick one.
Comment 4 Ray Strode [halfline] 2005-04-28 10:25:44 EDT
Rather than just picking one to dup against, let's just close this bug.
Comment 5 Daniel L. Rall 2005-07-12 19:36:34 EDT
You can work around this bug via:

  $ sudo rpm -e --noscripts control-center-2.9.91-1

Note You need to log in before you can comment on or make changes to this bug.